package buildme

var (
	fetchers = map[string]Fetcher{}
)

func RegisterFetcher(ftype string, fetcher Fetcher) {
	fetchers[ftype] = fetcher
}

//Fetcher goal of fetcher is to fetch a URL/Repositor/Path and place it in temporary dir
type Fetcher interface {
	//Fetch should return a tar reader, projname or error
	Fetch(fpath string) (*Project, error)
}
